Subject: Re: bug#8355: 24.0.50; Boxes in mode-line and scrolling

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Dec 2020 20:33:24 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Antoine Levitt <[email-masked]>,  [email-masked]
> Date: Tue, 08 Dec 2020 19:27:12 +0100
> 
> > The original report was talking about C-v followed by M-v producing a
> > 1-line displacement.  Is _that_ the problem?  If so, why did you
> > expect Emacs to come to the same place, AFAIK there's no guarantee of
> > that when variable-height text is involved.
> 
> Shouldn't there be?  Going back a page and forward a page should ideally
> land you on the same line.

That's not how Emacs scroll commands work.  But as I said, I will look
closer at the code and see if there's some subtle issue here.